import os
from utils.data import GraphDataset

if __name__ == "__main__":
    data_path = os.path.join(os.getcwd(), "..", "storage", "data", "layernorm")
    dataset = GraphDataset(data_path)
    for i in range(len(dataset)):
        X, Y = dataset[i]
        print(f"DATASET {i}")
        print(f"AVG X columns: {X.mean(0)}")
        print(f"MIN X columns: {X.min(0)[0]}")
        print(f"MAX X columns: {X.max(0)[0]}")
        print(f"MIN value in adjacency: {Y.min()}")
        print(f"MAX value in adjacency: {Y.max()}")
        print()
